Package csb :: Package statmech :: Module ensembles :: Class StatisticalEnsemble

[frames] | no frames]

# Class StatisticalEnsemble

source code

    object --+
             |
            StatisticalEnsemble

Known Subclasses:
  - BoltzmannEnsemble
  - , CompositeEnsemble
  - , TsallisEnsemble

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__call__(self, raw_energies) | source code

energy(self, raw_energies) Transforms the raw energies as if they were observed in this statistical ensemble | source code

gradient(self, raw_energies) | source code

log_prob(self, raw_energies) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``energy``'``])``

Properties
Inherited from `object`: `__class__`